# Interface ModePlotter.Form

All Known Subinterfaces:
  `ShapeForm`

All Known Implementing Classes:
  `AreaForm, CartesianMultiPointForm, CentralForm, ErrorArrayForm, HandleArrayForm, LineArrayForm, MarkArrayForm, MarkForm, MultiPointForm, PairLinkForm, SizeForm, SizeXyForm, SkyMultiPointForm`

Enclosing interface:
  `ModePlotter<S extends Style>`

public static interface ModePlotter.Form
Marker interface for an object that is shared between plotters sharing characteristics that make it useful to group them. These characteristics may be encoded by the interface of the Form subclass.

Since:
  18 Feb 2013
Author:
  Mark Taylor

## Method Summary

Modifier and Type
Method
Description
`Icon`
`getFormIcon()`
Returns an icon to identify this form in the GUI.
`String`
`getFormName()`
Returns the user-directed name for this form.

## Method Details

### getFormName

String getFormName()
Returns the user-directed name for this form.

Returns:
  form name

### getFormIcon

Icon getFormIcon()
Returns an icon to identify this form in the GUI.

Returns:
  form icon